Skip to main content
GET
/
v2
/
tx
/
status
Get Transaction Status
curl --request GET \
  --url https://router-api.initia.xyz/v2/tx/status
{
  "state": "STATE_COMPLETED_SUCCESS",
  "transfers": [],
  "transfer_sequence": [
    {
      "src_chain_id": "interwoven-1",
      "dst_chain_id": "8453",
      "state": "TRANSFER_SUCCESS"
    }
  ],
  "next_blocking_transfer": null,
  "transfer_asset_release": null,
  "error": null
}

Query Parameters

tx_hash
string
required

The transaction hash to check.

chain_id
string
required

The chain ID where the transaction was submitted.

Response

200 - application/json

Successful response

state
string

Overall end-to-end transaction state (e.g. STATE_SUBMITTED, STATE_PENDING, STATE_COMPLETED_SUCCESS, STATE_COMPLETED_ERROR, STATE_ABANDONED, STATE_PENDING_ERROR).

transfers
object[]

Transfer status for all transfers in the route.

transfer_sequence
object[]

Deprecated. Flat list of transfer events in sequence order.

next_blocking_transfer
object

The next transfer that is blocking progress, if any.

transfer_asset_release
object

Information about released assets.

error
object

Error details if the transaction failed.